Package nl.tue.id.oocsi

# Class OOCSIBoolean

java.lang.Object
nl.tue.id.oocsi.client.behavior.OOCSISystemCommunicator<T>
nl.tue.id.oocsi.client.data.OOCSIVariable<java.lang.Boolean>
nl.tue.id.oocsi.OOCSIBoolean

    public class OOCSIBoolean
    extends OOCSIVariable<java.lang.Boolean>

OOCSIBoolean is a system-level primitive that allows for automatic synchronizing of local variables (read and write) with different OOCSI clients on the same channel. This realizes synchronization on a single data variable without aggregation.

Author:
  matsfunk

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class nl.tue.id.oocsi.client.behavior.OOCSISystemCommunicator

  `OOCSISystemCommunicator.SystemFilter<K>`

- ## Field Summary

  ### Fields inherited from class nl.tue.id.oocsi.client.data.OOCSIVariable

  `forwarders, lastInput, max, mean, min, sigma, values, windowLength`

  ### Fields inherited from class nl.tue.id.oocsi.client.behavior.OOCSISystemCommunicator

  `channelName, client, HANDLE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `OOCSIBoolean​(boolean referenceValue, int timeout)` |
  `OOCSIBoolean​(OOCSIClient client, java.lang.String channelName, java.lang.String key)` |
  `OOCSIBoolean​(OOCSIClient client, java.lang.String channelName, java.lang.String key, boolean referenceValue)` |
  `OOCSIBoolean​(OOCSIClient client, java.lang.String channelName, java.lang.String key, boolean referenceValue, int timeout)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected java.lang.Boolean` | `extractValue​(OOCSIEvent event, java.lang.String key)` | safely extract the message value in the right type
  `OOCSIBoolean` | `limit​(int rate, int seconds)` | set the limiting of incoming events in terms of "rate" and "seconds" timeframe; supports chained invocation

  ### Methods inherited from class nl.tue.id.oocsi.client.data.OOCSIVariable

  `adapt, connect, disconnect, filter, fresh, generator, generator, get, last, localUpdate, max, min, reference, reference, remoteUpdate, set, set, smooth, smooth, timeout, update`

  ### Methods inherited from class nl.tue.id.oocsi.client.behavior.OOCSISystemCommunicator

  `addFilter, getHandle, message, message, message, subscribe, triggerHandler, updateFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OOCSIBoolean

    public OOCSIBoolean​(OOCSIClient client, java.lang.String channelName, java.lang.String key)

  - ### OOCSIBoolean

    public OOCSIBoolean​(OOCSIClient client, java.lang.String channelName, java.lang.String key, boolean referenceValue)

  - ### OOCSIBoolean

    public OOCSIBoolean​(OOCSIClient client, java.lang.String channelName, java.lang.String key, boolean referenceValue, int timeout)

  - ### OOCSIBoolean

    public OOCSIBoolean​(boolean referenceValue, int timeout)

- ## Method Details

  - ### extractValue

    protected java.lang.Boolean extractValue​(OOCSIEvent event, java.lang.String key)
    Description copied from class: `OOCSIVariable`
    safely extract the message value in the right type
    Overrides:
      `extractValue` in class `OOCSIVariable<java.lang.Boolean>`
    Returns:

  - ### limit

    public OOCSIBoolean limit​(int rate, int seconds)
    set the limiting of incoming events in terms of "rate" and "seconds" timeframe; supports chained invocation
    Overrides:
      `limit` in class `OOCSIVariable<java.lang.Boolean>`
    Parameters:
      `rate` -
      `seconds` -
    Returns: